Bug 1001179 - Allow users to debug node.js applications
Allow users to debug node.js applications
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
https://www.openshift.com/forums/open...
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 11:51 EDT by Andre Dietisheim
Modified: 2015-05-14 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 11:49:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Dietisheim 2013-08-26 11:51:58 EDT
Description of problem:
There's currently no obvious way for users to debug node.js applications.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
Try to remote debug a node.js application using Eclipse/NodeSDK as it is described here: https://github.com/joyent/node/wiki/Using-Eclipse-as-Node-Applications-Debugger. This requires the user to be able to attach the Eclipse debugger to port :5858. Ideally a user would be able to forward port 5858 to his local machine and attach the debugger to it. For as7/eap6 we currently have the debugging port forwardable/exposed as soon as the user adds the enable_jpda marker. I guess that a similar approach for node-js would be great.
Actual results:
There's currently no way 

Expected results:


Additional info:
Comment 1 Andre Dietisheim 2013-08-26 14:03:58 EDT
FYI there's a lengthy list of available tools to debug node applications at http://stackoverflow.com/questions/1911015/how-to-debug-node-js-applications.
Comment 2 Michal Fojtik 2013-09-09 06:09:42 EDT
I guess this will require to allow users opening ports, which is WIP now.

Note You need to log in before you can comment on or make changes to this bug.